﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication2._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <script src="Scripts/ej/jquery-2.1.4.min.js"></script>
    <script src="Scripts/ej/ej.web.all.min.js"></script>
<ej:Chart ClientIDMode="Static" ID="Chart1" runat="server" Width="600" Height="450" IsResponsive="true" OnClientPreRender="preRender">
           <PrimaryXAxis Title-Text="Year" ValueType="double"/>
           <PrimaryYAxis LabelFormat="{value}%" Title-Text="Efficiency"/>
           <CommonSeriesOptions Type="Line"/>
           <Series>
             <ej:Series Name="India" XName="Xvalue" YName="YValue1">
                 <Marker Visible="true"></Marker>
                 <Tooltip Visible="true"></Tooltip>
             </ej:Series>
            
           </Series>
           <Legend Visible="true"></Legend>
          <Title Text="Efficiency of oil-fired power production"></Title>
      </ej:Chart>
   <script type="text/javascript">
       function preRender(sender) { // OnClientPreRender event triggered
           var points = sender.model.series[0].points;
           var newPoints = [];
           var currentPoint = [];
           for (var i = 0; i < points.length; i++)
               newPoints.push(points[i].x);
           var newPoints = newPoints.sort(function (a, b) { return a - b });
           var minPoint = Math.min.apply(null, newPoints);
           var maxPoint = Math.max.apply(null, newPoints);
           for (var j = minPoint; j < maxPoint; j++) {
               var isPoint = $.inArray(j, newPoints);
               if (isPoint < 0) {
                   var randomNum = getRandomArbitrary(10, 100);
                   points.push({ x: j, y: randomNum, isEmpty: true, visible: false, YValues: {} });
                   var yPoint = points[points.length - 1].YValues = [];
                   yPoint.push(randomNum);
               }
           }
           sender.model.series[0].points = points.sort(function (a, b) { return a.x - b.x; });
       }

       function getRandomArbitrary(min, max) {
           return Math.random() * (max - min) + min;
       }

    </script>
</asp:Content>

