﻿using System;
using System.Data;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.DataVisualization.Models;
using Syncfusion.JavaScript.DataVisualization;
using System.Reflection;
using System.Web.Script.Serialization;
using System.Drawing.Imaging;
using System.IO;
using System.Drawing;
using System.Xml;
namespace WebApplication2
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            List<ChartData> list = new List<ChartData>();
            DataTable dt = new DataTable();
            // Read the text file here//
            using (System.IO.TextReader tr = File.OpenText(Server.MapPath(@"~\App_Data\data.txt")))
            {
                string line;
                while ((line = tr.ReadLine()) != null)
                {
                    string[] items = line.Trim().Split(',');
                    if (dt.Columns.Count == 0)
                    {
                        for (int i = 0; i < items.Length; i++)
                            dt.Columns.Add(new DataColumn("Column" + i, typeof(string)));
                    }
                    dt.Rows.Add(items);
                }
            }
            //store the values in list from data table  
            foreach (DataRow dr in dt.Rows)
            {
                ChartData data = new ChartData();
                data.Xvalue = Convert.ToDouble(dr.ItemArray[0]);
                data.YValue1 = Convert.ToDouble(dr.ItemArray[1]); 
                list.Add(data);
            }
            // bind the data source to the here //
            this.Chart1.DataSource = list;
            this.Chart1.DataBind();
        }

        [Serializable]
        public class ChartData
        {
            
            public double Xvalue
            {
                get;
                set;
            }
            public double YValue1
            {
                get;
                set;
            }


        }
    }
}